# Get Booking Details

This API Endpoint makes a GET request to the Travu service in other to get a response of **BOOKING DETAILS** by simply passing the booking number with authorization, this can also be used to reconfirm the status of any ticket.

## ENDPOINT URL

**REQUEST TYPE**: GET

**LIVE URL**: <https://api.travu.africa/api/v1/booking/booking_number>

**TEST URL**: [https://api.travu.africa/test/api/v1/booking/booking\_number](https://api.travu.africa/api/v1/booking/booking_number)

{% hint style="warning" %}
Remember to Pass your Authorization Token for this request to go through, read about Authorization [here](/auth.md).
{% endhint %}

## BODY PAYLOAD

This is a GET request that does not expect a body, simply authorize appropriately and pass the "Booking number" through the base URL. We usually return a `"booking_number"`(bus) and `"booking_id"` (flight) after a successful booking.

## RESPONSE

The Response for this request should bring the **BOOKING DETAILS** in the below format;

```json
{
    "status": 200,
    "error": false,
    "message": "Data fetched successfully",
    "data": {
        "id": 16,
        "user_id": "7",
        "provider": "GUO",
        "amount": "14000",
        "charged_amount": "13440",
        "status": "confirmed",
        "booking_number": "fe564148",
        "details": "{\"passengers\":[{\"fare\":\"6500.00\",\"title\":\"Mr\",\"age\":\"Adult\",\"sex\":\"M\",\"name\":\"Abijah Johnnie\",\"email\":\"abijahjohnnie@gmail.com\",\"phone\":\"07057568594\",\"next_of_kin\":\"Benjamin Johnnie\",\"next_of_kin_phone\":\"09000000000\",\"seat_number\":\"4\"},{\"fare\":\"6500.00\",\"title\":\"Mr\",\"age\":\"Child\",\"sex\":\"M\",\"name\":\"Barnabas Johnnie\",\"email\":\"bamanjab@gmail.com\",\"phone\":\"09057568594\",\"next_of_kin\":\"Miracle Johnnie\",\"next_of_kin_phone\":\"03000000000\",\"seat_number\":\"5\"}],\"narration\":\"UMUAHIA TO LAGOS - AJAH\",\"vehicle_no\":\"1st Bus (15)\",\"order_ticket_date\":\"2021-07-09\"}",
        "created_at": "2021-07-09T09:33:44.000000Z",
        "updated_at": "2021-07-09T09:33:44.000000Z"
    }
}
```

{% hint style="info" %}
The "status" of a transaction could be confirmed, failed or canceled.
{% endhint %}

Reference to [Authentication](/auth.md) for possible authentication errors that might occur during this request.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.travu.africa/get-booking-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
